Font::TTF::Features::Size(3)

NAME
Font::TTF::Features::Size - Class for Size Feature Parameters

DESCRIPTION
Handles the Feature Parameters valus for Size features

INSTANCE VARIABLES

INFILE
    The read file handle

OFFSET
    Location of the file in the input file

DesignSize
    Design Size in decipoints

SubFID
    Identifier for the fonts in a subfamily

SubFNameID
    The 'name' table name ID for the subfamily name

MinSize
    Bottom end of recomended usage size range

MaxSize
    Top end of recomended usage size range

METHODS

  $t->read
Reads the Feature Params

  $t->out($fh)
Writes the FeatureParams table to the output

  Font::TTF::Features::Sset->new()
Creates a new FeatureParams object. Table instance variables are passed in at this point as an associative array.

AUTHOR
David Raymond <http://scripts.sil.org/FontUtils>.

LICENSING
Copyright (c) 1998-2016, SIL International (http://www.sil.org)

This module is released under the terms of the Artistic License 2.0. For details, see the full text of the license in the file LICENSE.